# ImportAdapterExcel (ARX API Documentation)

org.deidentifier.arx.io

## Class ImportAdapterExcel

- java.lang.Object
- - org.deidentifier.arx.io.ImportAdapter
  - - org.deidentifier.arx.io.ImportAdapterExcel

- All Implemented Interfaces:
    java.util.Iterator<java.lang.String[]>

      public class ImportAdapterExcel
      extends ImportAdapter

  Import adapter for Excel files This adapter can import data from Excel files. It handles both XLS and XLSX files. The file type itself is defined by `ImportConfigurationExcel`. The files are accessed using Apache POI.
  See Also:
    Aapache POI

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getProgress()` Returns the percentage of data that has already been returned The basis for this calculation is the row currently being accessed.
    `boolean` | `hasNext()` Indicates whether there is another element to return This returns true when the file contains another line, which could be accessed by `iterator`.
    `java.lang.String[]` | `next()` Returns the next row The returned element is sorted as defined by `ImportColumn#index` and contains as many elements as there are columns selected to import from `ImportAdapter.indexes`.
    `void` | `remove()` Dummy.

    - ### Methods inherited from class org.deidentifier.arx.io.ImportAdapter

      `create, getConfig, getHeader`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getProgress

          public int getProgress()

      Returns the percentage of data that has already been returned The basis for this calculation is the row currently being accessed.
      Specified by:
        `getProgress` in class `ImportAdapter`
      Returns:
      See Also:
        `#currentRow}`, `#totalRows}`

    - #### hasNext

          public boolean hasNext()

      Indicates whether there is another element to return This returns true when the file contains another line, which could be accessed by `iterator`.
      Returns:

    - #### next

          public java.lang.String[] next()

      Returns the next row The returned element is sorted as defined by `ImportColumn#index` and contains as many elements as there are columns selected to import from `ImportAdapter.indexes`. The first row will always contain the names of the columns. `headerReturned` is used to keep track of that.
      Returns:

    - #### remove

          public void remove()

      Dummy.